## org.eclipse.uml2.uml.resource
Class UML212UMLExtendedMetaData

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicExtendedMetaData
          org.eclipse.emf.mapping.ecore2xml.util.Ecore2XMLExtendedMetaData
              org.eclipse.uml2.uml.resource.UML212UMLExtendedMetaData

All Implemented Interfaces:
  org.eclipse.emf.ecore.util.ExtendedMetaData

    public class UML212UMLExtendedMetaData

extends org.eclipse.emf.mapping.ecore2xml.util.Ecore2XMLExtendedMetaData

Extended meta-data required for model migration. OMG: UML 2.1.x and UML 2.2 API: UML2 2.2.x and UML2 3.0.x

Since:
  3.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData

`org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassExtendedMetaDataImpl, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassifierExtendedMetaData, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaDataImpl, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaData, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl`

Field Summary
`protected static java.util.Map<java.lang.String,java.util.Map<org.eclipse.emf.ecore.EClassifier,java.lang.String>>` `featureToTypeMap`

Fields inherited from class org.eclipse.emf.mapping.ecore2xml.util.Ecore2XMLExtendedMetaData
`ecore2xmlRegistry, xmlMaps`

Fields inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData
`annotationMap, annotationURI, demandRegistry, extendedMetaDataHolderCache, registry, UNINITIALIZED_EDATA_TYPE, UNINITIALIZED_ESTRUCTURAL_FEATURE, UNINITIALIZED_INT, UNINITIALIZED_STRING`

Fields inherited from interface org.eclipse.emf.ecore.util.ExtendedMetaData

`ANNOTATION_URI, ATTRIBUTE_FEATURE, ATTRIBUTE_WILDCARD_FEATURE, COLLAPSE_WHITE_SPACE, CONTENT_KINDS, DERIVATION_KINDS, ELEMENT_FEATURE, ELEMENT_ONLY_CONTENT, ELEMENT_WILDCARD_FEATURE, EMPTY_CONTENT, FEATURE_KINDS, GROUP_FEATURE, INSTANCE, LAX_PROCESSING, LIST_DERIVATION, MIXED_CONTENT, PRESERVE_WHITE_SPACE, PROCESSING_KINDS, REPLACE_WHITE_SPACE, RESTRICTION_DERIVATION, SIMPLE_CONTENT, SIMPLE_FEATURE, SKIP_PROCESSING, STRICT_PROCESSING, UNION_DERIVATION, UNSPECIFIED_CONTENT, UNSPECIFIED_DERIVATION, UNSPECIFIED_FEATURE, UNSPECIFIED_PROCESSING, UNSPECIFIED_WHITE_SPACE, WHITE_SPACE_KINDS, XMI_URI, XML_SCHEMA_URI, XML_URI, XMLNS_PREFIX, XMLNS_URI, XSI_PREFIX, XSI_URI`

Constructor Summary
`UML212UMLExtendedMetaData(org.eclipse.emf.ecore.EPackage.Registry ePackageRegistry, org.eclipse.emf.mapping.ecore2xml.Ecore2XMLRegistry ecore2xmlRegistry)`

Method Summary
`static java.util.Map<java.lang.String,java.util.Map<org.eclipse.emf.ecore.EClassifier,java.lang.String>>` `getFeatureToTypeMap()`

Methods inherited from class org.eclipse.emf.mapping.ecore2xml.util.Ecore2XMLExtendedMetaData
`getClassifier, getFeatureKind, getInfo, getName, getName, getNamespace, getPackage, getType, isFeatureKindSpecific`

Methods inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData

`basicGetAffiliation, basicGetBaseType, basicGetContentKind, basicGetDerivationKind, basicGetEnumerationFacet, basicGetFeatureKind, basicGetFractionDigitsFacet, basicGetGroup, basicGetItemType, basicGetLengthFacet, basicGetMaxExclusiveFacet, basicGetMaxInclusiveFacet, basicGetMaxLengthFacet, basicGetMemberTypes, basicGetMinExclusiveFacet, basicGetMinInclusiveFacet, basicGetMinLengthFacet, basicGetName, basicGetName, basicGetNamespace, basicGetPatternFacet, basicGetProcessingKind, basicGetTotalDigitsFacet, basicGetWhiteSpaceFacet, basicGetWildcards, basicIsQualified, computePrefix, createEClassifierExtendedMetaData, createEPackageExtendedMetaData, createEStructuralFeatureExtendedMetaData, demandedPackages, demandFeature, demandFeature, demandPackage, demandType, getAffiliation, getAffiliation, getAllAttributes, getAllElements, getAnnotation, getAttribute, getAttribute, getAttributes, getAttributeWildcardAffiliation, getBaseType, getContentKind, getDerivationKind, getDocumentRoot, getElement, getElement, getElements, getElementWildcardAffiliation, getEncodedWildcards, getEnumerationFacet, getExtendedMetaData, getExtendedMetaData, getExtendedMetaData, getFractionDigitsFacet, getGroup, getItemType, getLengthFacet, getLocalAttribute, getLocalElement, getMaxExclusiveFacet, getMaxInclusiveFacet, getMaxLengthFacet, getMemberTypes, getMinExclusiveFacet, getMinInclusiveFacet, getMinLengthFacet, getMixedFeature, getNamespace, getNamespace, getPatternFacet, getProcessingKind, getQualifiedName, getQualifiedName, getSimpleFeature, getTotalDigitsFacet, getType, getWhiteSpaceFacet, getWildcards, getXMLNSPrefixMapFeature, getXSISchemaLocationMapFeature, isAnonymous, isDocumentRoot, isFeatureNamespaceMatchingLax, isQualified, matches, matches, putPackage, setAffiliation, setBaseType, setContentKind, setDocumentRoot, setEnumerationFacet, setFeatureKind, setFractionDigitsFacet, setGroup, setItemType, setLengthFacet, setMaxExclusiveFacet, setMaxInclusiveFacet, setMaxLengthFacet, setMemberTypes, setMinExclusiveFacet, setMinInclusiveFacet, setMinLengthFacet, setName, setName, setNamespace, setPatternFacet, setProcessingKind, setQualified, setTotalDigitsFacet, setWhiteSpaceFacet, setWildcards`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### featureToTypeMap

    protected static java.util.Map<java.lang.String,java.util.Map<org.eclipse.emf.ecore.EClassifier,java.lang.String>> featureToTypeMap

Constructor Detail

### UML212UMLExtendedMetaData

    public UML212UMLExtendedMetaData(org.eclipse.emf.ecore.EPackage.Registry ePackageRegistry,
                                     org.eclipse.emf.mapping.ecore2xml.Ecore2XMLRegistry ecore2xmlRegistry)

Method Detail

### getFeatureToTypeMap

    public static java.util.Map<java.lang.String,java.util.Map<org.eclipse.emf.ecore.EClassifier,java.lang.String>> getFeatureToTypeMap()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.